Erstellt von - Uhr

IT-Sicherheit: Linux bedroht - IT-Sicherheitslücke bei Red Hat Ansible Automation Platform mit hohem Risiko! Warnung erhält Update

Wie das BSI meldet, hat die IT-Sicherheitswarnung bezüglich einer bekannten Schwachstelle für Red Hat Ansible Automation Platform ein Update erhalten. Eine Beschreibung der Sicherheitslücken inklusive der neuesten Updates sowie Infos zu den betroffenen Betriebssystemen Linux und Produkten lesen Sie hier.

Für Red Hat liegt ein IT-Sicherheitshinweis vor (Symbolbild). (Foto) Suche
Für Red Hat liegt ein IT-Sicherheitshinweis vor (Symbolbild). Bild: Adobe Stock / pvl

Das Bundesamt für Sicherheit in der Informationstechnik (BSI) hat am 13.06.2024 ein Update zu einer am 29.02.2024 bekanntgewordenen Sicherheitslücke mit mehreren Schwachstellen für Red Hat Ansible Automation Platform veröffentlicht. Betroffen von der Sicherheitslücke sind das Betriebssystem Linux sowie die Produkte Red Hat Ansible Automation Platform, Red Hat Enterprise Linux und Fedora Linux.

Die neuesten Hersteller-Empfehlungen bezüglich Updates, Workarounds und Sicherheitspatches für diese Sicherheitslücke finden Sie hier: Red Hat Security Advisory RHSA-2024:3927 (Stand: 14.06.2024). Weitere nützliche Links werden weiter unten in diesem Artikel aufgeführt.

Mehrere Schwachstellen für Red Hat Ansible Automation Platform - Risiko: hoch

Risikostufe: 3 (hoch)
CVSS Base Score: 8,1
CVSS Temporal Score: 7,1
Remoteangriff: Ja

Zur Bewertung der Verwundbarkeit von Computersystemen wird das Common Vulnerability Scoring System (CVSS) angewandt. Der CVSS-Standard ermöglicht es, potenzielle oder tatsächliche Sicherheitslücken auf Basis verschiedener Metriken miteinander zu vergleichen, um eine darauf aufbauende Prioritätenliste zur Einleitung von Gegenmaßnahmen zu erstellen. Für die Schweregrade einer Schwachstelle werden die Attribute "keine", "niedrig", "mittel", "hoch" und "kritisch" verwendet. Der Base Score bewertet die Voraussetzungen für einen Angriff (u.a. Authentifizierung, Komplexität, Privilegien, Userinteraktion) sowie dessen Konsequenzen. Der Temporal Score berücksichtigt darüber hinaus zeitliche Veränderungen hinsichtlich der Gefahrenlage. Das Risiko der hier behandelten Schwachstelle wird nach dem CVSS mit einem Base Score von 8,1 als "hoch" eingestuft.

Red Hat Ansible Automation Platform Bug: Beschreibung des Angriffs

Red Hat Ansible Automation Platform ist eine End-to-End-Automatisierungsplattform für die Systemkonfiguration, die Softwarebereitstellung und die Orchestrierung erweiterter Workflows.

Ein Angreifer kann mehrere Schwachstellen in Red Hat Ansible Automation Platform ausnutzen, um einen Denial-of-Service-Zustand herbeizuführen, vertrauliche Informationen offenzulegen, Sicherheitsmaßnahmen zu umgehen, Dateien zu manipulieren, Phishing-Angriffe durchzuführen oder Cross-Site Scripting (XSS)-Angriffe auszuführen. Einige dieser Schwachstellen erfordern eine Benutzerinteraktion, um sie erfolgreich auszunutzen.

Die Verwundbarkeit wird mit den eindeutigen CVE-Seriennummern (Common Vulnerabilities and Exposures) CVE-2022-40896, CVE-2023-44271, CVE-2023-47627, CVE-2023-49081, CVE-2023-49082, CVE-2023-52323, CVE-2024-1657, CVE-2024-22195 und CVE-2024-24680 gehandelt.

Von der Sicherheitslücke betroffene Systeme im Überblick

Betriebssystem
Linux

Produkte
Red Hat Ansible Automation Platform 2.4 (cpe:/a:redhat:ansible_automation_platform)
Red Hat Enterprise Linux (cpe:/o:redhat:enterprise_linux)
Fedora Linux (cpe:/o:fedoraproject:fedora)
Red Hat Ansible Automation Platform <2.4 (cpe:/a:redhat:ansible_automation_platform)

Allgemeine Empfehlungen zum Umgang mit IT-Schwachstellen

  1. Anwender der betroffenen Systeme sollten diese auf dem aktuellsten Stand halten. Hersteller sind bei Bekanntwerden von Sicherheitslücken dazu angehalten, diese schnellstmöglich durch Entwicklung eines Patches oder eines Workarounds zu beheben. Sollten Sicherheitspatches verfügbar sein, installieren Sie diese zeitnah.
  2. Konsultieren Sie zu Informationszwecken die im nächsten Abschnitt aufgeführten Quellen. Häufig enthalten diese weiterführende Informationen zur aktuellsten Version der betreffenden Software sowie zur Verfügbarkeit von Sicherheitspatches oder Hinweise zu Workarounds.
  3. Wenden Sie sich bei weiteren Fragen oder Unsicherheiten an Ihren zuständigen Administrator. IT-Sicherheitsverantwortliche sollten die genannten Quellen regelmäßig daraufhin prüfen, ob ein neues Sicherheitsupdate zur Verfügung steht.

Hersteller-Informationen zu Updates, Patches und Workarounds

An dieser Stelle finden Sie weiterführende Links mit Informationen über Bug-Reports, Security-Fixes und Workarounds.

Red Hat Security Advisory RHSA-2024:3927 vom 2024-06-14 (13.06.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:3927

Red Hat Security Advisory RHSA-2024:2348 vom 2024-04-30 (29.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:2348

Red Hat Security Advisory RHSA-2024:1878 vom 2024-04-18 (17.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1878

Fedora Security Advisory FEDORA-EPEL-2024-5FC8709AA5 vom 2024-04-12 (11.04.2024)
Weitere Informationen finden Sie unter: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-5fc8709aa5

Red Hat Security Advisory RHSA-2024:1640 vom 2024-04-02 (02.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1640

Red Hat Security Advisory RHSA-2024:1536 vom 2024-03-27 (27.03.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1536

Red Hat Security Advisory RHSA-2024:1155 vom 2024-03-06 (05.03.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1155

Red Hat Security Advisory RHSA-2024:1072 vom 2024-03-04 (04.03.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1072

Red Hat Security Advisory RHSA-2024:1057 vom 2024-02-29 (29.02.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1057

Versionshistorie dieser Sicherheitswarnung

Dies ist die 9. Version des vorliegenden IT-Sicherheitshinweises für Red Hat Ansible Automation Platform. Bei Bekanntgabe weiterer Updates wird dieser Text aktualisiert. Die vorgenommenen Änderungen können Sie anhand der folgenden Versionshistorie nachvollziehen.

29.02.2024 - Initiale Fassung
04.03.2024 - Neue Updates von Red Hat aufgenommen
05.03.2024 - Neue Updates von Red Hat aufgenommen
27.03.2024 - Neue Updates von Red Hat aufgenommen
02.04.2024 - Neue Updates von Red Hat aufgenommen
11.04.2024 - Neue Updates von Fedora aufgenommen
17.04.2024 - Neue Updates von Red Hat aufgenommen
29.04.2024 - Neue Updates von Red Hat aufgenommen
13.06.2024 - Neue Updates von Red Hat aufgenommen

+++ Redaktioneller Hinweis: Dieser Text wurde auf Basis aktueller BSI-Daten generiert und wird je nach Warnlage datengetrieben aktualisiert. Feedback und Anmerkungen nehmen wir unter hinweis@news.de entgegen. +++

Folgen Sie News.de schon bei Facebook, Twitter, Pinterest und YouTube? Hier finden Sie brandheiße News, aktuelle Videos und den direkten Draht zur Redaktion.

/roj/news.de

Themen:
Bleiben Sie dran!

Wollen Sie wissen, wie das Thema weitergeht? Wir informieren Sie gerne.